header:
  version: 9

distro: poky

defaults:
  repos:
    refspec: dunfell

repos:
  meta-arm:
    layers:
      meta-arm:
      meta-arm-bsp:
      meta-arm-toolchain:

  poky:
    url: https://git.yoctoproject.org/git/poky
    layers:
      meta:
      meta-poky:

  meta-openembedded:
    url: https://git.openembedded.org/meta-openembedded
    layers:
      meta-oe:

env:
  BB_LOGCONFIG: ""

local_conf_header:
  base: |
    CONF_VERSION = "1"
    PACKAGE_CLASSES = "package_ipk"
    LICENSE_FLAGS_WHITELIST += "armcompiler"
    PACKAGECONFIG_remove_pn-qemu-system-native = "gtk+ sdl"
    EXTRA_IMAGE_FEATURES_append = " debug-tweaks"
    BB_NUMBER_THREADS = "16"
    PARALLEL_MAKE = "-j16"
    INHERIT += "rm_work"
  ptest: |
    DISTRO_FEATURES_remove = "ptest"

machine: unset

target:
  - core-image-base
#  - perf
